Subject: bug#78474: 31.0.50; Wrong char insertion in rxvt

From: Eli Zaretskii <[email-masked]>
Date: Tue, 22 Jul 2025 17:46:35 +0300

> Date: Tue, 22 Jul 2025 16:24:28 +0200
> From: Seb Hinderer <[email-masked]>
> Cc: [email-masked], [email-masked], [email-masked],
> 	[email-masked]
> 
> Eli Zaretskii (2025/07/22 17:18 +0300):
> > If there's no way of knowing that, the option we are talking about
> > will still be available to disable the problematic sequences manually.
> 
> The second part of the discussion: what should be the default.

If the default is not right for everyone, setting the option manually
is still a viable alternative -- provided that we succeed to handle
the majority of the cases correctly.

> Backward-compatibility matters suggest to continue to emit exactly the
> same thing and the possibility to disable the problematic sequence but,
> as I explained earlier in this thread, I really findthis painful and
> unfair to people who already have to tinker with everything.
> 
> Can we please consider makingthe new style the default and provide the
> option to re-enable the sequence if there are people forwhom it
> actuallymakes a difference?

That's what we are discussing.  We are not done yet.  In fact, we
don't even have a working agreed-upon patch which implements the
request when \t\b sequences are disabled.  The question of the default
behavior will become relevant once we are past that.

So please be a bit more patient while we discuss this.